package com.tofly.watermeter.custom.service.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.BatchInstallTableDto;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.InstallConditionDto;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.InstallTableDto;
import com.tofly.watermeter.custom.vo.StationVo;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

//水表新装
public interface TableInstallService {

    /**
     * 获取未安装水表客户信息
     * @param dto 客户姓名、地址、电话、编号
     * @return list
     */
    Page<Map> getCustomerInfo(Page page,String dto);

    /**
     *获取水表信息
     */
    Page<Map> getTableInfo(Page page,String dto,Long sbcj,Long sblx,Long sbkj);

//    boolean tableInstall(InstallTableDto dto) throws Exception;

    /**
     * 水表安装
     * @param ids 暂存id
     * @return boolean
     */
    boolean tableInstall(String ids);

    List<Map> installCount(HttpServletResponse response, InstallConditionDto dto);

    Page<Map> countByType(HttpServletResponse response,Page page,InstallConditionDto dto);

    Object theStagingAbout(HttpServletResponse response,Page page,InstallTableDto dto);

    List<StationVo> getStation() throws Exception;

    boolean batchTableInstall(BatchInstallTableDto dto) throws Exception;

    /**
     * 获取用水性质、用途
     * @return object
     */
    Map<String,Object> getQualityOrUse() throws Exception;

}
